<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="AndroidLayouts">
    <shared>
      <config />
    </shared>
  </component>
  <component name="AndroidLogFilters">
    <option name="TOOL_WINDOW_CUSTOM_FILTER" value="连接状态" />
    <option name="TOOL_WINDOW_LOG_LEVEL" value="verbose" />
    <option name="TOOL_WINDOW_CONFIGURED_FILTER" value="No Filters" />
  </component>
  <component name="AutoImportSettings">
    <option name="autoReloadType" value="NONE" />
  </component>
  <component name="ChangeListManager">
    <list default="true" id="481a2746-a9c9-4d01-9237-3a6b537899e8" name="Default Changelist" comment="" />
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="ExecutionTargetManager" SELECTED_TARGET="device_and_snapshot_combo_box_target[]" />
  <component name="ExternalProjectsData">
    <projectState path="$PROJECT_DIR$">
      <ProjectState />
    </projectState>
  </component>
  <component name="ExternalProjectsManager">
    <system id="GRADLE">
      <state>
        <task path="$PROJECT_DIR$/sdklibrary">
          <activation />
        </task>
        <projects_view>
          <tree_state>
            <expand>
              <path>
                <item name="" type="6a2764b6:ExternalProjectsStructure$RootNode" />
                <item name="Vispek SDK Demo" type="f1a62948:ProjectNode" />
              </path>
              <path>
                <item name="" type="6a2764b6:ExternalProjectsStructure$RootNode" />
                <item name="Vispek SDK Demo" type="f1a62948:ProjectNode" />
                <item name="sdklibrary" type="2d1252cf:ModuleNode" />
              </path>
              <path>
                <item name="" type="6a2764b6:ExternalProjectsStructure$RootNode" />
                <item name="Vispek SDK Demo" type="f1a62948:ProjectNode" />
                <item name="sdklibrary" type="2d1252cf:ModuleNode" />
                <item name="Tasks" type="e4a08cd1:TasksNode" />
              </path>
              <path>
                <item name="" type="6a2764b6:ExternalProjectsStructure$RootNode" />
                <item name="Vispek SDK Demo" type="f1a62948:ProjectNode" />
                <item name="sdklibrary" type="2d1252cf:ModuleNode" />
                <item name="Tasks" type="e4a08cd1:TasksNode" />
                <item name="build" type="c8890929:TasksNode$1" />
              </path>
            </expand>
            <select />
          </tree_state>
        </projects_view>
      </state>
    </system>
  </component>
  <component name="FileTemplateManagerImpl">
    <option name="RECENT_TEMPLATES">
      <list>
        <option value="Class" />
      </list>
    </option>
  </component>
  <component name="ProjectId" id="27isjBY9OTZon815VBganNLxpJ2" />
  <component name="ProjectViewState">
    <option name="foldersAlwaysOnTop" value="false" />
    <option name="showLibraryContents" value="true" />
  </component>
  <component name="PropertiesComponent">
    <property name="RunOnceActivity.OpenProjectViewOnStart" value="true" />
    <property name="RunOnceActivity.ShowReadmeOnStart" value="true" />
    <property name="android.project.structure.last.selected" value="SDK Location" />
    <property name="android.project.structure.proportion" value="0.15" />
    <property name="android.sdk.path" value="$PROJECT_DIR$/../../../Android/SDK" />
    <property name="dart.analysis.tool.window.visible" value="false" />
    <property name="last_opened_file_path" value="$PROJECT_DIR$/app/libs" />
    <property name="project.structure.last.edited" value="Dependencies" />
    <property name="project.structure.proportion" value="0.17" />
    <property name="project.structure.side.proportion" value="0.2" />
    <property name="settings.editor.selected.configurable" value="preferences.pluginManager" />
    <property name="show.migrate.to.gradle.popup" value="false" />
  </component>
  <component name="PsdUISettings">
    <option name="LAST_EDITED_BUILD_TYPE" value="release" />
  </component>
  <component name="RecentsManager">
    <key name="CopyClassDialog.RECENTS_KEY">
      <recent name="com.vispec.sdklibrary" />
      <recent name="com.vispec.sdkdemo" />
      <recent name="com.vispec.sdklibrary.bluetooth" />
      <recent name="com.vispec.sdklibrary.bluetooth.utils" />
    </key>
    <key name="CopyFile.RECENT_KEYS">
      <recent name="E:\project\aa2021_08_16\VispekSDKDemo\app\libs" />
      <recent name="E:\project\aa2021_08_16\VispekSDKDemo\sdklibrary\libs" />
      <recent name="E:\project\aa2021_08_16\VispekSDKDemo\app\src\main\res\layout" />
      <recent name="E:\project\aa2021_08_16\VispekSDKDemo\app\src\main\res" />
      <recent name="E:\project\aa2021_08_16\VispekSDKDemo\app\src\main\res\drawable" />
    </key>
  </component>
  <component name="RunManager" selected="Android App.app">
    <configuration default="true" type="AndroidJUnit" factoryName="Android JUnit">
      <option name="TEST_OBJECT" value="class" />
      <option name="WORKING_DIRECTORY" value="$MODULE_DIR$" />
      <method v="2">
        <option name="Android.Gradle.BeforeRunTask" enabled="true" />
      </method>
    </configuration>
    <configuration name="app" type="AndroidRunConfigurationType" factoryName="Android App" activateToolWindowBeforeRun="false">
      <module name="Vispek_SDK_Demo.app" />
      <option name="DEPLOY" value="true" />
      <option name="DEPLOY_APK_FROM_BUNDLE" value="false" />
      <option name="DEPLOY_AS_INSTANT" value="false" />
      <option name="ARTIFACT_NAME" value="" />
      <option name="PM_INSTALL_OPTIONS" value="" />
      <option name="ALL_USERS" value="false" />
      <option name="DYNAMIC_FEATURES_DISABLED_LIST" value="" />
      <option name="ACTIVITY_EXTRA_FLAGS" value="" />
      <option name="MODE" value="default_activity" />
      <option name="CLEAR_LOGCAT" value="false" />
      <option name="SHOW_LOGCAT_AUTOMATICALLY" value="false" />
      <option name="SKIP_NOOP_APK_INSTALLATIONS" value="true" />
      <option name="FORCE_STOP_RUNNING_APP" value="true" />
      <option name="TARGET_SELECTION_MODE" value="DEVICE_AND_SNAPSHOT_COMBO_BOX" />
      <option name="SELECTED_CLOUD_MATRIX_CONFIGURATION_ID" value="-1" />
      <option name="SELECTED_CLOUD_MATRIX_PROJECT_ID" value="" />
      <option name="DEBUGGER_TYPE" value="Auto" />
      <Auto>
        <option name="USE_JAVA_AWARE_DEBUGGER" value="false" />
        <option name="SHOW_STATIC_VARS" value="true" />
        <option name="WORKING_DIR" value="" />
        <option name="TARGET_LOGGING_CHANNELS" value="lldb process:gdb-remote packets" />
        <option name="SHOW_OPTIMIZED_WARNING" value="true" />
      </Auto>
      <Hybrid>
        <option name="USE_JAVA_AWARE_DEBUGGER" value="false" />
        <option name="SHOW_STATIC_VARS" value="true" />
        <option name="WORKING_DIR" value="" />
        <option name="TARGET_LOGGING_CHANNELS" value="lldb process:gdb-remote packets" />
        <option name="SHOW_OPTIMIZED_WARNING" value="true" />
      </Hybrid>
      <Java />
      <Native>
        <option name="USE_JAVA_AWARE_DEBUGGER" value="false" />
        <option name="SHOW_STATIC_VARS" value="true" />
        <option name="WORKING_DIR" value="" />
        <option name="TARGET_LOGGING_CHANNELS" value="lldb process:gdb-remote packets" />
        <option name="SHOW_OPTIMIZED_WARNING" value="true" />
      </Native>
      <Profilers>
        <option name="ADVANCED_PROFILING_ENABLED" value="false" />
        <option name="STARTUP_PROFILING_ENABLED" value="false" />
        <option name="STARTUP_CPU_PROFILING_ENABLED" value="false" />
        <option name="STARTUP_CPU_PROFILING_CONFIGURATION_NAME" value="Sample Java Methods" />
        <option name="STARTUP_NATIVE_MEMORY_PROFILING_ENABLED" value="false" />
        <option name="NATIVE_MEMORY_SAMPLE_RATE_BYTES" value="2048" />
      </Profilers>
      <option name="DEEP_LINK" value="" />
      <option name="ACTIVITY_CLASS" value="" />
      <option name="SEARCH_ACTIVITY_IN_GLOBAL_SCOPE" value="false" />
      <option name="SKIP_ACTIVITY_VALIDATION" value="false" />
      <method v="2">
        <option name="Android.Gradle.BeforeRunTask" enabled="true" />
      </method>
    </configuration>
    <configuration name="VispekSDKDemo:sdklibrary [assemble]" type="GradleRunConfiguration" factoryName="Gradle" temporary="true">
      <ExternalSystemSettings>
        <option name="executionName" />
        <option name="externalProjectPath" value="$PROJECT_DIR$/sdklibrary" />
        <option name="externalSystemIdString" value="GRADLE" />
        <option name="scriptParameters" />
        <option name="taskDescriptions">
          <list />
        </option>
        <option name="taskNames">
          <list>
            <option value="assemble" />
          </list>
        </option>
        <option name="vmOptions" />
      </ExternalSystemSettings>
      <GradleScriptDebugEnabled>true</GradleScriptDebugEnabled>
      <method v="2" />
    </configuration>
    <recent_temporary>
      <list>
        <item itemvalue="Gradle.VispekSDKDemo:sdklibrary [assemble]" />
      </list>
    </recent_temporary>
  </component>
  <component name="SvnConfiguration">
    <configuration />
  </component>
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="481a2746-a9c9-4d01-9237-3a6b537899e8" name="Default Changelist" comment="" />
      <created>1649814373390</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1649814373390</updated>
    </task>
    <servers />
  </component>
  <component name="WindowStateProjectService">
    <state x="358" y="203" key="#PSD" timestamp="1650332269175">
      <screen x="0" y="0" width="1920" height="1040" />
    </state>
    <state x="358" y="203" key="#PSD/0.0.1920.1040@0.0.1920.1040" timestamp="1650332269175" />
    <state x="718" y="154" key="#com.intellij.ide.util.MemberChooser" timestamp="1650247982586">
      <screen x="0" y="0" width="1920" height="1040" />
    </state>
    <state x="718" y="154" key="#com.intellij.ide.util.MemberChooser/0.0.1920.1040@0.0.1920.1040" timestamp="1650247982586" />
    <state x="624" y="203" key="#com.intellij.refactoring.safeDelete.UnsafeUsagesDialog" timestamp="1649993805479">
      <screen x="0" y="0" width="1920" height="1040" />
    </state>
    <state x="624" y="203" key="#com.intellij.refactoring.safeDelete.UnsafeUsagesDialog/0.0.1920.1040@0.0.1920.1040" timestamp="1649993805479" />
    <state width="1864" height="3" key="GridCell.Tab.0.bottom" timestamp="1657004421855">
      <screen x="0" y="0" width="1920" height="1040" />
    </state>
    <state width="1864" height="3" key="GridCell.Tab.0.bottom/0.0.1920.1040@0.0.1920.1040" timestamp="1657004421855" />
    <state width="1864" height="3" key="GridCell.Tab.0.center" timestamp="1657004421855">
      <screen x="0" y="0" width="1920" height="1040" />
    </state>
    <state width="1864" height="3" key="GridCell.Tab.0.center/0.0.1920.1040@0.0.1920.1040" timestamp="1657004421855" />
    <state width="1864" height="3" key="GridCell.Tab.0.left" timestamp="1657004421855">
      <screen x="0" y="0" width="1920" height="1040" />
    </state>
    <state width="1864" height="3" key="GridCell.Tab.0.left/0.0.1920.1040@0.0.1920.1040" timestamp="1657004421855" />
    <state width="1864" height="3" key="GridCell.Tab.0.right" timestamp="1657004421855">
      <screen x="0" y="0" width="1920" height="1040" />
    </state>
    <state width="1864" height="3" key="GridCell.Tab.0.right/0.0.1920.1040@0.0.1920.1040" timestamp="1657004421855" />
    <state x="329" y="77" key="SettingsEditor" timestamp="1650364072611">
      <screen x="0" y="0" width="1920" height="1040" />
    </state>
    <state x="329" y="77" key="SettingsEditor/0.0.1920.1040@0.0.1920.1040" timestamp="1650364072611" />
    <state x="588" y="186" width="744" height="668" key="find.popup" timestamp="1649828327588">
      <screen x="0" y="0" width="1920" height="1040" />
    </state>
    <state x="588" y="186" width="744" height="668" key="find.popup/0.0.1920.1040@0.0.1920.1040" timestamp="1649828327588" />
    <state width="375" height="74" key="javadoc.popup.new" timestamp="1657779438504">
      <screen x="0" y="0" width="1920" height="1040" />
    </state>
    <state width="375" height="74" key="javadoc.popup.new/0.0.1920.1040@0.0.1920.1040" timestamp="1657779438504" />
    <state x="539" y="5" width="840" height="1034" key="search.everywhere.popup" timestamp="1657073453343">
      <screen x="0" y="0" width="1920" height="1040" />
    </state>
    <state x="539" y="5" width="840" height="1034" key="search.everywhere.popup/0.0.1920.1040@0.0.1920.1040" timestamp="1657073453343" />
    <state x="667" y="412" key="vcs.readOnlyHandler.ReadOnlyStatusDialog" timestamp="1650266248608">
      <screen x="0" y="0" width="1920" height="1040" />
    </state>
    <state x="667" y="412" key="vcs.readOnlyHandler.ReadOnlyStatusDialog/0.0.1920.1040@0.0.1920.1040" timestamp="1650266248608" />
  </component>
</project>